import { TechlifyUpdateService } from './../techlify-update.service';
import { UntypedFormBuilder } from '@angular/forms';
import { UntypedFormGroup } from '@angular/forms';
import { MatDialog } from '@angular/material/dialog';
import { AlertService } from '../../core/alert.service';
import { OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TechlifyUpdatesListComponent implements OnInit {
    private dialog;
    private alertService;
    private techlifyUpdateService;
    private fb;
    techlifyUpdates: any[];
    displayedColumns: string[];
    page: number;
    lastPage: number;
    perPage: number;
    isWorking: boolean;
    filterFormGroup: UntypedFormGroup;
    constructor(dialog: MatDialog, alertService: AlertService, techlifyUpdateService: TechlifyUpdateService, fb: UntypedFormBuilder);
    ngOnInit(): void;
    listenChanges(): void;
    ngOnDestroy(): void;
    loadData(): Promise<void>;
    reload(): void;
    onScroll(): void;
    modifyTechlifyUpdate(model?: any): void;
    deleteTechlifyUpdate(model: any): Promise<void>;
    resetFieldValue(field: string): void;
    sortColumn(event: any): void;
    assignFilter(column: any, direction: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TechlifyUpdatesListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TechlifyUpdatesListComponent, "app-techlify-updates-list", never, {}, {}, never, never, false, never>;
}
